## kx11grab 0.1.12

=== CMakeLists.txt ===
####################################################################
## Author: Juergen Heinemann http://qx11grab.hjcms.de, (C) 2007-2009
## Copyright: See COPYING file that comes with this distribution
####################################################################
PROJECT(kx11grab)

CMAKE_MINIMUM_REQUIRED(VERSION 2.6.0 FATAL_ERROR)

# CMP0002: we have multiple targets with the same name for the unit tests
CMAKE_POLICY(SET CMP0002 OLD)

SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${CMAKE_MODULE_PATH})

FIND_PACKAGE(Qt4 REQUIRED)
FIND_PACKAGE(KDE4 REQUIRED)
FIND_PACKAGE(KDE4Workspace REQUIRED)
INCLUDE(KDE4Defaults)
FIND_PACKAGE(Automoc4 REQUIRED)
FIND_PACKAGE(Gettext REQUIRED)

ADD_DEFINITIONS( ${KDE4_DEFINITIONS} )
REMOVE_DEFINITIONS(-DQT3_SUPPORT_WARNINGS -DQT3_SUPPORT)
REMOVE_DEFINITIONS(-DKDE3_SUPPORT_WARNINGS -DKDE3_SUPPORT)

SET(KX11GRAB_MAJOR_VERSION "0")
SET(KX11GRAB_MINOR_VERSION "1")
SET(KX11GRAB_PATCH_VERSION "12")
SET(KX11GRAB_VERSION "${KX11GRAB_MAJOR_VERSION}.${KX11GRAB_MINOR_VERSION}.${KX11GRAB_PATCH_VERSION}")

SET(KX11GRAB_INCS kx11grab
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}/src
  ${CMAKE_CURRENT_SOURCE_DIR}/src
)

CONFIGURE_FILE(kx11grab.spec.cmake ${CMAKE_CURRENT_SOURCE_DIR}/kx11grab.spec)
CONFIGURE_FILE(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
CONFIGURE_FILE(kx11grab.desktop.cmake ${CMAKE_CURRENT_BINARY_DIR}/kx11grab.desktop)

INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/kx11grab.desktop DESTINATION ${XDG_APPS_INSTALL_DIR})

ADD_SUBDIRECTORY(src)
ADD_SUBDIRECTORY(po)

##eof
