=== po/CMakeLists.txt ===
####################################################################
## Author: Juergen Heinemann http://qx11grab.hjcms.de, (C) 2007-2009
## Copyright: See COPYING file that comes with this distribution
####################################################################

SET(kx11grab_linguas
  de
)

FOREACH(lingua ${kx11grab_linguas})
  EXEC_PROGRAM(${GETTEXT_MSGFMT_EXECUTABLE}
    ${CMAKE_CURRENT_SOURCE_DIR}
    ARGS ${lingua}.po -o ${CMAKE_CURRENT_BINARY_DIR}/${lingua}.gmo
  )
ENDFOREACH(lingua)

GETTEXT_CREATE_TRANSLATIONS (kx11grab.pot ${kx11grab_linguas} )

##eof
