=== src/CMakeLists.txt ===
####################################################################
## Author: Juergen Heinemann http://qx11grab.hjcms.de, (C) 2007-2009
## Copyright: See COPYING file that comes with this distribution
####################################################################

## KDE4_ADD_UI_FILES(ui_qx11grabmain qx11grabmain.ui)
KDE4_ADD_UI_FILES(ui_settingsdialogform settingsdialogform.ui)

QT4_ADD_DBUS_ADAPTOR(kx11grab_ADAPTORS
  kx11grab.xml
  qx11grab.h
  QX11Grab
  kx11grabadaptor
)

SET(kx11grab_HEADERS
  qx11grabmain.h
  qx11grab.h
  settings.h
  screencombobox.h
  desktopinfo.h
  windowgrabber.h
  rubberband.h
  settingsdialog.h
  settingspageone.h
  settingspagetwo.h
  ffprocess.h
)

SET(kx11grab_SOURCES
  main.cpp
  qx11grabmain.cpp
  qx11grab.cpp
  settings.cpp
  screencombobox.cpp
  desktopinfo.cpp
  windowgrabber.cpp
  rubberband.cpp
  settingsdialog.cpp
  settingspageone.cpp
  settingspagetwo.cpp
  ffprocess.cpp
)

INSTALL(PROGRAMS 
  ${CMAKE_CURRENT_BINARY_DIR}/kx11grab
  DESTINATION ${EXEC_INSTALL_PREFIX}/bin
)

INCLUDE_DIRECTORIES( ${KX11GRAB_INCS} ${KDE4_INCLUDES})

KDE4_MOC_HEADERS(kx11grab ${kx11grab_HEADERS} )

KDE4_ADD_EXECUTABLE(kx11grab 
  ${kx11grab_SOURCES}
  ${kx11grab_ADAPTORS}
  ${ui_qx11grabmain}
  ${ui_settingsdialogform}
)

## BUGFIX:
##  OpenSuSE 11.0 libQtNetwork.so.4: undefined reference to `QObjectPrivate::checkWindowRole()
TARGET_LINK_LIBRARIES(kx11grab
  ${KDE4_KDECORE_LIBS}
  ${KDE4_KDEUI_LIBS}
  ${KDE4_KDEDBUS_LIBS}
  ${QT_QTNETWORK_LIBRARY}
)

SET(kx11grab_icons
  ox32-app-kx11grab.png
  ox64-app-kx11grab.png
)

KDE4_INSTALL_ICONS(${ICON_INSTALL_DIR})

##eof
