=== debian/changelog ===
kx11grab (0.1.12-0ubuntu3) oneiric; urgency=low

  [ Kyle Williams ]
  * Add missing build dependency on libx11-dev. LP: #831105

  [ Stefano Rivera ]
  * Bumped Standards-Version to 3.9.2, no changes needed.
  * wrap-and-sort debian/control.
  * Rephrase package description to please lintian.
  * Tweak wording in debian/copyright.
  * Depend on ffmpeg.

 -- Kyle Williams <kwilliams@cs.uct.ac.za>  Sun, 04 Sep 2011 00:57:56 +0200

kx11grab (0.1.12-0ubuntu2) natty; urgency=low

  * Add kubuntu_01_linker_fix.diff to fix linking with ld's --as-needed flag
    enabled.
  * Switch to source format 3.0:
    - Bump required debhelper version to 7.3.16
    - Bump debian/compat to 7
  * Switch from debian-qt-kde.mk to the dh7 kde sequence from pkg-kde-tools:
    - Bump build-depend version on pkg-kde-tools to >= 0.5.0
    - Remove cdbs build dependency
  * Bump Standards-Version to 3.9.1:
    - Add a dependency on ${misc:Depends} to kx11grab

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Wed, 29 Dec 2010 10:24:52 -0500

kx11grab (0.1.12-0ubuntu1) lucid; urgency=low

  * Initial release (LP: #522427)
  * Changed some stuff to please the MOTU gods.

 -- Paulo Dias <paulo.miguel.dias@gmail.com>  Tue, 16 Feb 2010 00:38:31 -0200
