=== debian/control ===
Source: kx11grab
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Paulo Dias <paulo.miguel.dias@gmail.com>
Build-Depends:
 cmake,
 debhelper (>= 7.3.16),
 kdebase-workspace-dev,
 kdelibs5-dev,
 libx11-dev,
 pkg-kde-tools (>= 0.5.0)
Standards-Version: 3.9.2
Homepage: http://qx11grab.hjcms.de/

Package: kx11grab
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ffmpeg
Description: systray program that uses FFmpeg for recording X11 desktop windows
 This program grabs window dimensions with xevent and prepares a command line
 for ffmpeg with configuration options. It sends the generated parameter list
 to a new FFmpeg process.
 .
 qx11grab doesn't record itself, it just prepare commands for FFmpeg.
