=== ffpresets/CMakeLists.txt ===
# CMakeLists.txt

SET (FFPRESET_FILES "libx264-QX11Grab.ffpreset")

IF (INSTALL_FFPRESETS AND FFMPEG_SHAREDIR)
  FILE(GLOB FFPRESET_FILES "${CMAKE_CURRENT_SOURCE_DIR}/*.ffpreset")
ENDIF (INSTALL_FFPRESETS AND FFMPEG_SHAREDIR)

INSTALL (FILES ${FFPRESET_FILES}
  DESTINATION ${FFMPEG_SHAREDIR}
  COMPONENT ffpreset
)

## EOF
