=== src/filters/CMakeLists.txt ===
# CMakeLists.txt
#
# QX11Grab Plugin Interface
#

SET (LIB_OUTPUT_NAME "QX11GrabInterface")
SET (QX11GRAB_MODULES_PATH "${CMAKE_INSTALL_PREFIX}/lib${LIB_SUFFIX}/qx11grab")

CONFIGURE_FILE (interface.h.cmake 
  ${CMAKE_CURRENT_SOURCE_DIR}/interface.h
)

CONFIGURE_FILE (qx11grab.pc.cmake
  ${CMAKE_CURRENT_BINARY_DIR}/qx11grab.pc
)

SET (interface_SOURCES
  qx11grabplugins.cpp
)

SET (interface_HEADERS
  interface.h
  qx11grabplugins.h
)

QT4_WRAP_CPP (interface_MOC ${interface_HEADERS})

INCLUDE_DIRECTORIES (
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${QX11GRAB_INCLUDES}
)

ADD_LIBRARY (qx11grabinterface STATIC
  ${interface_MOC}
  ${interface_HEADERS}
  ${interface_SOURCES}
)

SET_TARGET_PROPERTIES (qx11grabinterface PROPERTIES
  VERSION "${QX11GRAB_VERSION_MAJOR}.${QX11GRAB_VERSION_MINOR}.${QX11GRAB_VERSION_RELEASE}"
  OUTPUT_NAME ${LIB_OUTPUT_NAME}
  LINKER_LANGUAGE CXX
  COMPILE_FLAGS "${LIB_FPIC_CXXFLAGS}"
  LINK_FLAGS "${LIB_RDYNAMIC_CXXFLAGS}"
)

TARGET_LINK_LIBRARIES (qx11grabinterface
  ${QT_QTCORE_LIBRARY}
  ${QT_QTGUI_LIBRARY}
  ${QT_QTXML_LIBRARY}
  ${QT_QTDBUS_LIBRARY}
)

TARGET_LINK_LIBRARIES (qx11grabinterface
  LINK_INTERFACE_LIBRARIES
  ${QT_QTGUI_LIBRARY}
)

ADD_SUBDIRECTORY (unsharp)

IF (ENABLE_SETDAR_FILTER)
  ADD_SUBDIRECTORY (setdar)
ENDIF (ENABLE_SETDAR_FILTER)

IF (ENABLE_WATERMARK_FILTER)
ADD_SUBDIRECTORY (watermark)
ENDIF (ENABLE_WATERMARK_FILTER)

IF (ENABLE_FADE_FILTER)
  ADD_SUBDIRECTORY (fade)
ENDIF (ENABLE_FADE_FILTER)

IF (ENABLE_DRAWTEXT_FILTER)
  ADD_SUBDIRECTORY (drawtext)
ENDIF (ENABLE_DRAWTEXT_FILTER)

IF (ENABLE_WEBCAM_FILTER)
  ADD_SUBDIRECTORY (webcam)
ENDIF (ENABLE_WEBCAM_FILTER)

## EOF
