=== debian/changelog ===
kx11grab (0.4.4~rc3-0ubuntu1) quantal; urgency=low

  * New upstream release candidate:
    - Refresh kubuntu_01_fix_linker.diff
    - Add new build-depends: pkg-config, libasound2-dev, libavformat-dev,
      libavcodec-dev, libavutil-dev, libavfilter-dev, libfreetype6-dev,
      libfontconfig1-dev, libpulse-dev, libxrandr-dev, libv4l-dev
    - Build with -DENABLE_KDE_SUPPORT to retain KDE integration.
  * Bump debhelper version to 9
  * Bump Standards-Version to 3.9.3, no changes necessary

 -- Jonathan Thomas <echidnaman@kubuntu.org>  Mon, 28 May 2012 00:05:08 -0400
