=== debian/control ===
--- 
+++ 
@@ -5,12 +5,23 @@
 XSBC-Original-Maintainer: Paulo Dias <paulo.miguel.dias@gmail.com>
 Build-Depends:
  cmake,
- debhelper (>= 7.3.16),
+ pkg-config,
+ debhelper (>= 9),
  kdebase-workspace-dev,
  kdelibs5-dev,
  libx11-dev,
+ libasound2-dev,
+ libavformat-dev,
+ libavcodec-dev,
+ libavutil-dev,
+ libavfilter-dev,
+ libfreetype6-dev,
+ libfontconfig1-dev,
+ libpulse-dev,
+ libxrandr-dev,
+ libv4l-dev,
  pkg-kde-tools (>= 0.5.0)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://qx11grab.hjcms.de/
 
 Package: kx11grab
