=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with-kde

override_dh_auto_configure:
	dh_auto_configure -- -DENABLE_KDE_SUPPORT=ON
