=== debian/watch ===
version=2
opts=dversionmangle=s/\.dfsg// \
http://qx11grab.hjcms.de/Downloads/kx11grab-(.*)\.tar\.bz2
